Subject: Re: bug#7787: 23.2; wrong meaning for mouse-2 while in search mode

From: Juri Linkov <[email-masked]>
Date: Mon, 25 Apr 2022 18:38:59 +0300

>>> Because you're "typing" down there -- at least that's what it looks like
>>> to the user.
>>
>> But the cursor remains in the buffer.
>
> Technically, yes, but in any way that makes any user interface difference.
>
> Technically, yes, but not in any way that makes any user interface difference.

Is this a Schrödinger's answer? ;-P

Anyway, I see no reasonable way to explain why mouse-yank-at-point
would affect what currently is documented as:

  Clicking ‘mouse-2’ in the echo area appends the current X
  selection to the search string (‘isearch-yank-x-selection’).